Bug 14490 - fdisk can't handle more than 8 partitions.
fdisk can't handle more than 8 partitions.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
6.2
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-23 15:13 EDT by Pekka Savola
Modified: 2007-03-26 23:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-14 14:48:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-07-23 15:13:32 EDT
This is also an issue with util-linux-2.10m-7 from Rawhide.

Fdisk can't handle more than 8 partitions.  In reality this comes up
if you install Linux on the same drive with Free/OpenBSD which was
installed in "Dangerously Dedicated" mode.

It'd be nice to be able to clean the partition table gracefully.

-----
[root@install5 /tmp]# fdisk /dev/hda
Warning: too many partitions (16, maximum is 8).

Command (m for help): p

Disk /dev/hda: 255 heads, 63 sectors, 790 cylinders
Units = cylinders of 16065 * 512 bytes


16 partitions:
#       start       end      size     fstype   [fsize bsize   cpg]
  a:        1       203       203     4.2BSD     1024  8192    16
  b:      204       463       260       swap
  c:        1     12592     12592     unused        0     0
  d:      464       768       305     4.2BSD     1024  8192    16
  e:      769      1174       406     4.2BSD     1024  8192    16
  f:     1175     12592     11418     4.2BSD     1024  8192    16

Command (m for help): d
Partition number (1-4): a
Partition number (1-4): 1
Segmentation fault (core dumped)
Comment 1 Elliot Lee 2001-07-17 15:20:46 EDT
Apologies for super-delayed reply, does this problem still exist?
Comment 2 Pekka Savola 2001-07-17 15:42:21 EDT
I guess so.. I'd have to scrape up a BSD though, might take some time.
Comment 3 Jay Turner 2003-04-14 14:48:52 EDT
No longer seeing this with latest code.

Note You need to log in before you can comment on or make changes to this bug.